Test2::Require::Perl(3pm)

NAME
Test2::Require::Perl - Skip the test unless the necessary version of Perl is installed.

DESCRIPTION
Sometimes you have tests that are nice to run, but depend on a certain version of Perl. This package lets you run the test conditionally, depending on if the correct version of Perl is available.

SYNOPSIS
    # Skip the test unless perl 5.10 or greater is installed.
    use Test2::Require::Perl 'v5.10';

    # Enable 5.10 features.
    use v5.10;

SOURCE
The source code repository for Test2-Suite can be found at https://github.com/Test-More/test-more/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS

Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/